using System;

namespace spojler2
{
    class Program
    {
        static string golovi (int sa, int sb, int a, int b) 
        {
            if (sa == a && sb == b) return "nijedan";
            else if (sa == a & b < sb) return "drugi";
            else if (sb == b & a < sa) return "prvi";
            else if (b < sb & a < sa) return "?";
            else return ":)0";
        }
        static void Main(string[] args)
        {
            string[] red = Console.ReadLine().Split();
            int sa = Convert.ToInt32(red[0]);
            int sb = Convert.ToInt32(red[1]);
            red = Console.ReadLine().Split();
            int a = Convert.ToInt32(red[0]);
            int b = Convert.ToInt32(red[1]);
            Console.WriteLine(golovi(sa,sb,a,b));
        }
    }
}